<html>
<head>
<title>OgreScriptTranslator.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreScriptTranslator.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreScriptTranslator_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __SCRIPTTRANSLATOR_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __SCRIPTTRANSLATOR_H_</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreScriptCompiler_8h.html">OgreScriptCompiler.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre{
<a name="l00047"></a><a class="code" href="classOgre_1_1ScriptTranslator.html">00047</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ScriptTranslatorAlloc</a>
<a name="l00048"></a>00048     {
<a name="l00049"></a>00049     <span class="keyword">public</span>:
<a name="l00055"></a>00055         <span class="keyword">virtual</span> <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node) = 0;
<a name="l00056"></a>00056     <span class="keyword">protected</span>:
<a name="l00057"></a>00057         <span class="comment">// needs virtual destructor</span>
<a name="l00058"></a><a class="code" href="classOgre_1_1ScriptTranslator.html#a98e2abe5853cbb0db31a92d10ebe02b9">00058</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ScriptTranslator.html#a98e2abe5853cbb0db31a92d10ebe02b9">~ScriptTranslator</a>() {}
<a name="l00060"></a>00060         <span class="keywordtype">void</span> processNode(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00061"></a>00061 
<a name="l00063"></a>00063         <span class="keyword">static</span> AbstractNodeList::const_iterator getNodeAt(<span class="keyword">const</span> <a class="code" href="group__General.html#gae6612ea0b05ddf514b5478a6c0c0cb09">AbstractNodeList</a> &amp;nodes, <span class="keywordtype">int</span> index);
<a name="l00065"></a>00065         <span class="keyword">static</span> <span class="keywordtype">bool</span> getBoolean(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <span class="keywordtype">bool</span> *result);
<a name="l00067"></a>00067         <span class="keyword">static</span> <span class="keywordtype">bool</span> getString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *result);
<a name="l00069"></a>00069         <span class="keyword">static</span> <span class="keywordtype">bool</span> getReal(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> *result);
<a name="l00071"></a>00071         <span class="keyword">static</span> <span class="keywordtype">bool</span> getFloat(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <span class="keywordtype">float</span> *result);
<a name="l00073"></a>00073         <span class="keyword">static</span> <span class="keywordtype">bool</span> getInt(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <span class="keywordtype">int</span> *result); 
<a name="l00075"></a>00075         <span class="keyword">static</span> <span class="keywordtype">bool</span> getUInt(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *result); 
<a name="l00077"></a>00077         <span class="keyword">static</span> <span class="keywordtype">bool</span> getColour(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> *result, <span class="keywordtype">int</span> maxEntries = 4);
<a name="l00079"></a>00079         <span class="keyword">static</span> <span class="keywordtype">bool</span> getSceneBlendFactor(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> *sbf);
<a name="l00081"></a>00081         <span class="keyword">static</span> <span class="keywordtype">bool</span> getCompareFunction(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> *func);
<a name="l00083"></a>00083         <span class="keyword">static</span> <span class="keywordtype">bool</span> getMatrix4(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> *m);
<a name="l00085"></a>00085         <span class="keyword">static</span> <span class="keywordtype">bool</span> getInts(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, <span class="keywordtype">int</span> *vals, <span class="keywordtype">int</span> count);
<a name="l00087"></a>00087         <span class="keyword">static</span> <span class="keywordtype">bool</span> getFloats(AbstractNodeList::const_iterator i, AbstractNodeList::const_iterator end, <span class="keywordtype">float</span> *vals, <span class="keywordtype">int</span> count);
<a name="l00089"></a>00089         <span class="keyword">static</span> <span class="keywordtype">bool</span> getStencilOp(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node, <a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> *op); 
<a name="l00091"></a>00091         <span class="keyword">static</span> <span class="keywordtype">bool</span> getConstantType(AbstractNodeList::const_iterator i, <a class="code" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447" title="Enumeration of the types of constant we may encounter in programs.">GpuConstantType</a> *op); 
<a name="l00092"></a>00092 
<a name="l00093"></a>00093     };
<a name="l00094"></a>00094 
<a name="l00100"></a><a class="code" href="classOgre_1_1ScriptTranslatorManager.html">00100</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1ScriptTranslatorManager.html" title="The ScriptTranslatorManager manages the lifetime and access to script translators.">ScriptTranslatorManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ScriptTranslatorAlloc</a>
<a name="l00101"></a>00101     {
<a name="l00102"></a>00102     <span class="keyword">public</span>:
<a name="l00103"></a>00103         <span class="comment">// required - virtual destructor</span>
<a name="l00104"></a><a class="code" href="classOgre_1_1ScriptTranslatorManager.html#a88a25066a5f4dc5dab555753ee68dd1c">00104</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ScriptTranslatorManager.html#a88a25066a5f4dc5dab555753ee68dd1c">~ScriptTranslatorManager</a>() {}
<a name="l00105"></a>00105 
<a name="l00107"></a>00107         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1ScriptTranslatorManager.html#a660728184188815f9586c12495d99bbb" title="Returns the number of translators being managed.">getNumTranslators</a>() <span class="keyword">const</span> = 0;
<a name="l00109"></a>00109         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a> *<a class="code" href="classOgre_1_1ScriptTranslatorManager.html#a663a8643f1af286006bb1438697b2045" title="Returns a manager for the given object abstract node, or null if it is not supported.">getTranslator</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a>&amp;) = 0;
<a name="l00110"></a>00110     };
<a name="l00111"></a>00111 
<a name="l00112"></a>00112     <span class="comment">/**************************************************************************</span>
<a name="l00113"></a>00113 <span class="comment">     * Material compilation section</span>
<a name="l00114"></a>00114 <span class="comment">     *************************************************************************/</span>
<a name="l00115"></a><a class="code" href="classOgre_1_1MaterialTranslator.html">00115</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1MaterialTranslator.html">MaterialTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00116"></a>00116     {
<a name="l00117"></a>00117     <span class="keyword">protected</span>:
<a name="l00118"></a><a class="code" href="classOgre_1_1MaterialTranslator.html#ae2e4169c37c48616fcbc7afc191761eb">00118</a>         <a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> *<a class="code" href="classOgre_1_1MaterialTranslator.html#ae2e4169c37c48616fcbc7afc191761eb">mMaterial</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1MaterialTranslator.html#a3f2e82f95e3fcd380bddb12d825c081e">00119</a>         <a class="code" href="group__General.html#ga20898062bd79359acd1137276d9b0e37" title="Alias / Texture name pair (first = alias, second = texture name)">Ogre::AliasTextureNamePairList</a> <a class="code" href="classOgre_1_1MaterialTranslator.html#a3f2e82f95e3fcd380bddb12d825c081e">mTextureAliases</a>;
<a name="l00120"></a>00120     <span class="keyword">public</span>:
<a name="l00121"></a>00121         <a class="code" href="classOgre_1_1MaterialTranslator.html">MaterialTranslator</a>();
<a name="l00122"></a>00122         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00123"></a>00123     };
<a name="l00124"></a>00124         
<a name="l00125"></a><a class="code" href="classOgre_1_1TechniqueTranslator.html">00125</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TechniqueTranslator.html">TechniqueTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00126"></a>00126     {
<a name="l00127"></a>00127     <span class="keyword">protected</span>:
<a name="l00128"></a><a class="code" href="classOgre_1_1TechniqueTranslator.html#a009c46d3452deb2d62d0340d35403f10">00128</a>         <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> *<a class="code" href="classOgre_1_1TechniqueTranslator.html#a009c46d3452deb2d62d0340d35403f10">mTechnique</a>;
<a name="l00129"></a>00129     <span class="keyword">public</span>:
<a name="l00130"></a>00130         <a class="code" href="classOgre_1_1TechniqueTranslator.html">TechniqueTranslator</a>();
<a name="l00131"></a>00131         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00132"></a>00132     };
<a name="l00133"></a>00133     
<a name="l00134"></a><a class="code" href="classOgre_1_1PassTranslator.html">00134</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PassTranslator.html">PassTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00135"></a>00135     {
<a name="l00136"></a>00136     <span class="keyword">protected</span>:
<a name="l00137"></a><a class="code" href="classOgre_1_1PassTranslator.html#af35a903cd6d523893347b8407eae83da">00137</a>         <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> *<a class="code" href="classOgre_1_1PassTranslator.html#af35a903cd6d523893347b8407eae83da">mPass</a>;
<a name="l00138"></a>00138     <span class="keyword">public</span>:
<a name="l00139"></a>00139         <a class="code" href="classOgre_1_1PassTranslator.html">PassTranslator</a>();
<a name="l00140"></a>00140         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00141"></a>00141     <span class="keyword">protected</span>:
<a name="l00142"></a>00142         <span class="keywordtype">void</span> translateVertexProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00143"></a>00143         <span class="keywordtype">void</span> translateGeometryProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00144"></a>00144         <span class="keywordtype">void</span> translateFragmentProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00145"></a>00145         <span class="keywordtype">void</span> translateShadowCasterVertexProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00146"></a>00146         <span class="keywordtype">void</span> translateShadowCasterFragmentProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00147"></a>00147         <span class="keywordtype">void</span> translateShadowReceiverVertexProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00148"></a>00148         <span class="keywordtype">void</span> translateShadowReceiverFragmentProgramRef(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *node);
<a name="l00149"></a>00149     };
<a name="l00150"></a>00150 
<a name="l00151"></a><a class="code" href="classOgre_1_1TextureUnitTranslator.html">00151</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextureUnitTranslator.html">TextureUnitTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00152"></a>00152     {
<a name="l00153"></a>00153     <span class="keyword">protected</span>:
<a name="l00154"></a><a class="code" href="classOgre_1_1TextureUnitTranslator.html#ab34a8b49aec5765a31ce6276b01f25cb">00154</a>         <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a> *<a class="code" href="classOgre_1_1TextureUnitTranslator.html#ab34a8b49aec5765a31ce6276b01f25cb">mUnit</a>;
<a name="l00155"></a>00155     <span class="keyword">public</span>:
<a name="l00156"></a>00156         <a class="code" href="classOgre_1_1TextureUnitTranslator.html">TextureUnitTranslator</a>();
<a name="l00157"></a>00157         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00158"></a>00158     };
<a name="l00159"></a>00159 
<a name="l00160"></a><a class="code" href="classOgre_1_1TextureSourceTranslator.html">00160</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextureSourceTranslator.html">TextureSourceTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00161"></a>00161     {
<a name="l00162"></a>00162     <span class="keyword">public</span>:
<a name="l00163"></a>00163         <a class="code" href="classOgre_1_1TextureSourceTranslator.html">TextureSourceTranslator</a>();
<a name="l00164"></a>00164         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00165"></a>00165     };
<a name="l00166"></a>00166 
<a name="l00167"></a><a class="code" href="classOgre_1_1GpuProgramTranslator.html">00167</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1GpuProgramTranslator.html">GpuProgramTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00168"></a>00168     {   
<a name="l00169"></a>00169     <span class="keyword">public</span>:
<a name="l00170"></a>00170         <a class="code" href="classOgre_1_1GpuProgramTranslator.html">GpuProgramTranslator</a>();
<a name="l00171"></a>00171         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00172"></a>00172     <span class="keyword">protected</span>:
<a name="l00173"></a>00173         <span class="keywordtype">void</span> translateGpuProgram(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *obj);
<a name="l00174"></a>00174         <span class="keywordtype">void</span> translateHighLevelGpuProgram(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *obj);
<a name="l00175"></a>00175         <span class="keywordtype">void</span> translateUnifiedGpuProgram(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *obj);
<a name="l00176"></a>00176     <span class="keyword">public</span>:
<a name="l00177"></a>00177         <span class="keyword">static</span> <span class="keywordtype">void</span> translateProgramParameters(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <a class="code" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> params, <a class="code" href="classOgre_1_1ObjectAbstractNode.html" title="This specific abstract node represents a script object.">ObjectAbstractNode</a> *obj);
<a name="l00178"></a>00178     };
<a name="l00179"></a>00179 
<a name="l00180"></a><a class="code" href="classOgre_1_1SharedParamsTranslator.html">00180</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1SharedParamsTranslator.html">SharedParamsTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00181"></a>00181     {   
<a name="l00182"></a>00182     <span class="keyword">public</span>:
<a name="l00183"></a>00183         <a class="code" href="classOgre_1_1SharedParamsTranslator.html">SharedParamsTranslator</a>();
<a name="l00184"></a>00184         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00185"></a>00185     <span class="keyword">protected</span>:
<a name="l00186"></a>00186     };
<a name="l00187"></a>00187 
<a name="l00188"></a>00188     <span class="comment">/**************************************************************************</span>
<a name="l00189"></a>00189 <span class="comment">     * Particle System section</span>
<a name="l00190"></a>00190 <span class="comment">     *************************************************************************/</span>
<a name="l00191"></a><a class="code" href="classOgre_1_1ParticleSystemTranslator.html">00191</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleSystemTranslator.html">ParticleSystemTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00192"></a>00192     {
<a name="l00193"></a>00193     <span class="keyword">protected</span>:
<a name="l00194"></a><a class="code" href="classOgre_1_1ParticleSystemTranslator.html#a8f8719a31aef80328fea71436b0ccb15">00194</a>         <a class="code" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">Ogre::ParticleSystem</a> *<a class="code" href="classOgre_1_1ParticleSystemTranslator.html#a8f8719a31aef80328fea71436b0ccb15">mSystem</a>;
<a name="l00195"></a>00195     <span class="keyword">public</span>:
<a name="l00196"></a>00196         <a class="code" href="classOgre_1_1ParticleSystemTranslator.html">ParticleSystemTranslator</a>();
<a name="l00197"></a>00197         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00198"></a>00198     };
<a name="l00199"></a><a class="code" href="classOgre_1_1ParticleEmitterTranslator.html">00199</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleEmitterTranslator.html">ParticleEmitterTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00200"></a>00200     {
<a name="l00201"></a>00201     <span class="keyword">protected</span>:
<a name="l00202"></a><a class="code" href="classOgre_1_1ParticleEmitterTranslator.html#a20b396f6769f607ea054f9fc7521791e">00202</a>         <a class="code" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">Ogre::ParticleEmitter</a> *<a class="code" href="classOgre_1_1ParticleEmitterTranslator.html#a20b396f6769f607ea054f9fc7521791e">mEmitter</a>;
<a name="l00203"></a>00203     <span class="keyword">public</span>:
<a name="l00204"></a>00204         <a class="code" href="classOgre_1_1ParticleEmitterTranslator.html">ParticleEmitterTranslator</a>();
<a name="l00205"></a>00205         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00206"></a>00206     };
<a name="l00207"></a><a class="code" href="classOgre_1_1ParticleAffectorTranslator.html">00207</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ParticleAffectorTranslator.html">ParticleAffectorTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00208"></a>00208     {
<a name="l00209"></a>00209     <span class="keyword">protected</span>:
<a name="l00210"></a><a class="code" href="classOgre_1_1ParticleAffectorTranslator.html#a5aff21ce69a63cec0a3216bd86f6f3c4">00210</a>         <a class="code" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">Ogre::ParticleAffector</a> *<a class="code" href="classOgre_1_1ParticleAffectorTranslator.html#a5aff21ce69a63cec0a3216bd86f6f3c4">mAffector</a>;
<a name="l00211"></a>00211     <span class="keyword">public</span>:
<a name="l00212"></a>00212         <a class="code" href="classOgre_1_1ParticleAffectorTranslator.html">ParticleAffectorTranslator</a>();
<a name="l00213"></a>00213         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00214"></a>00214     };
<a name="l00215"></a>00215 
<a name="l00216"></a>00216     <span class="comment">/**************************************************************************</span>
<a name="l00217"></a>00217 <span class="comment">     * Compositor section</span>
<a name="l00218"></a>00218 <span class="comment">     *************************************************************************/</span>
<a name="l00219"></a><a class="code" href="classOgre_1_1CompositorTranslator.html">00219</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1CompositorTranslator.html">CompositorTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00220"></a>00220     {
<a name="l00221"></a>00221     <span class="keyword">protected</span>:
<a name="l00222"></a><a class="code" href="classOgre_1_1CompositorTranslator.html#a751100008f6e68630ac14d991a31efef">00222</a>         <a class="code" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> *<a class="code" href="classOgre_1_1CompositorTranslator.html#a751100008f6e68630ac14d991a31efef">mCompositor</a>;
<a name="l00223"></a>00223     <span class="keyword">public</span>:
<a name="l00224"></a>00224         <a class="code" href="classOgre_1_1CompositorTranslator.html">CompositorTranslator</a>();
<a name="l00225"></a>00225         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00226"></a>00226     };
<a name="l00227"></a><a class="code" href="classOgre_1_1CompositionTechniqueTranslator.html">00227</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1CompositionTechniqueTranslator.html">CompositionTechniqueTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00228"></a>00228     {
<a name="l00229"></a>00229     <span class="keyword">protected</span>:
<a name="l00230"></a><a class="code" href="classOgre_1_1CompositionTechniqueTranslator.html#a572d791badb7f8780fad0928d4c94c73">00230</a>         <a class="code" href="classOgre_1_1CompositionTechnique.html" title="Base composition technique, can be subclassed in plugins.">CompositionTechnique</a> *<a class="code" href="classOgre_1_1CompositionTechniqueTranslator.html#a572d791badb7f8780fad0928d4c94c73">mTechnique</a>;
<a name="l00231"></a>00231     <span class="keyword">public</span>:
<a name="l00232"></a>00232         <a class="code" href="classOgre_1_1CompositionTechniqueTranslator.html">CompositionTechniqueTranslator</a>();
<a name="l00233"></a>00233         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00234"></a>00234     };
<a name="l00235"></a><a class="code" href="classOgre_1_1CompositionTargetPassTranslator.html">00235</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1CompositionTargetPassTranslator.html">CompositionTargetPassTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00236"></a>00236     {
<a name="l00237"></a>00237     <span class="keyword">protected</span>:
<a name="l00238"></a><a class="code" href="classOgre_1_1CompositionTargetPassTranslator.html#aa5f92de90ffa98847a2bdb87a490a54d">00238</a>         <a class="code" href="classOgre_1_1CompositionTargetPass.html" title="Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework...">CompositionTargetPass</a> *<a class="code" href="classOgre_1_1CompositionTargetPassTranslator.html#aa5f92de90ffa98847a2bdb87a490a54d">mTarget</a>;
<a name="l00239"></a>00239     <span class="keyword">public</span>:
<a name="l00240"></a>00240         <a class="code" href="classOgre_1_1CompositionTargetPassTranslator.html">CompositionTargetPassTranslator</a>();
<a name="l00241"></a>00241         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00242"></a>00242     };
<a name="l00243"></a><a class="code" href="classOgre_1_1CompositionPassTranslator.html">00243</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1CompositionPassTranslator.html">CompositionPassTranslator</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a>
<a name="l00244"></a>00244     {
<a name="l00245"></a>00245     <span class="keyword">protected</span>:
<a name="l00246"></a><a class="code" href="classOgre_1_1CompositionPassTranslator.html#ac3c9b99f24340bac1af2569ec0b5f1d7">00246</a>         <a class="code" href="classOgre_1_1CompositionPass.html" title="Object representing one pass or operation in a composition sequence.">CompositionPass</a> *<a class="code" href="classOgre_1_1CompositionPassTranslator.html#ac3c9b99f24340bac1af2569ec0b5f1d7">mPass</a>;
<a name="l00247"></a>00247     <span class="keyword">public</span>:
<a name="l00248"></a>00248         <a class="code" href="classOgre_1_1CompositionPassTranslator.html">CompositionPassTranslator</a>();
<a name="l00249"></a>00249         <span class="keywordtype">void</span> translate(<a class="code" href="classOgre_1_1ScriptCompiler.html" title="This is the main class for the compiler.">ScriptCompiler</a> *compiler, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00250"></a>00250     };
<a name="l00251"></a>00251 
<a name="l00252"></a>00252     <span class="comment">/**************************************************************************</span>
<a name="l00253"></a>00253 <span class="comment">     * BuiltinScriptTranslatorManager</span>
<a name="l00254"></a>00254 <span class="comment">     *************************************************************************/</span>
<a name="l00256"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html">00256</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html" title="This class manages the builtin translators.">BuiltinScriptTranslatorManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ScriptTranslatorManager.html" title="The ScriptTranslatorManager manages the lifetime and access to script translators.">ScriptTranslatorManager</a>
<a name="l00257"></a>00257     {
<a name="l00258"></a>00258     <span class="keyword">private</span>:
<a name="l00259"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a228a865034571259e32ddfc36dbdd30f">00259</a>         <a class="code" href="classOgre_1_1MaterialTranslator.html">MaterialTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a228a865034571259e32ddfc36dbdd30f">mMaterialTranslator</a>;
<a name="l00260"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a26cc15ac44a01ce28269b5ed58071ae5">00260</a>         <a class="code" href="classOgre_1_1TechniqueTranslator.html">TechniqueTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a26cc15ac44a01ce28269b5ed58071ae5">mTechniqueTranslator</a>;
<a name="l00261"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a352a32177d9c887a8fa4cca0b9a6fe31">00261</a>         <a class="code" href="classOgre_1_1PassTranslator.html">PassTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a352a32177d9c887a8fa4cca0b9a6fe31">mPassTranslator</a>;
<a name="l00262"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac829692ff8cba994211edd6688b4a9e9">00262</a>         <a class="code" href="classOgre_1_1TextureUnitTranslator.html">TextureUnitTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac829692ff8cba994211edd6688b4a9e9">mTextureUnitTranslator</a>;
<a name="l00263"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac7613807b016a21fda4ccab14a75e27b">00263</a>         <a class="code" href="classOgre_1_1TextureSourceTranslator.html">TextureSourceTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac7613807b016a21fda4ccab14a75e27b">mTextureSourceTranslator</a>;
<a name="l00264"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a0b7ce136f40cf16a2e2df3514eab31ac">00264</a>         <a class="code" href="classOgre_1_1GpuProgramTranslator.html">GpuProgramTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a0b7ce136f40cf16a2e2df3514eab31ac">mGpuProgramTranslator</a>;
<a name="l00265"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ab211311bbfc7e90179c3188645a67270">00265</a>         <a class="code" href="classOgre_1_1SharedParamsTranslator.html">SharedParamsTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ab211311bbfc7e90179c3188645a67270">mSharedParamsTranslator</a>;
<a name="l00266"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a7487d99620be0344b7f90e720e93ebf3">00266</a>         <a class="code" href="classOgre_1_1ParticleSystemTranslator.html">ParticleSystemTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a7487d99620be0344b7f90e720e93ebf3">mParticleSystemTranslator</a>;
<a name="l00267"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a865a0ebd3ce84069ee314fac0462469e">00267</a>         <a class="code" href="classOgre_1_1ParticleEmitterTranslator.html">ParticleEmitterTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a865a0ebd3ce84069ee314fac0462469e">mParticleEmitterTranslator</a>;
<a name="l00268"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#adf641b8d874f464d941232bf6ac28549">00268</a>         <a class="code" href="classOgre_1_1ParticleAffectorTranslator.html">ParticleAffectorTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#adf641b8d874f464d941232bf6ac28549">mParticleAffectorTranslator</a>;
<a name="l00269"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a4ff39d9509733849068ecd6536ef74c9">00269</a>         <a class="code" href="classOgre_1_1CompositorTranslator.html">CompositorTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a4ff39d9509733849068ecd6536ef74c9">mCompositorTranslator</a>;
<a name="l00270"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#aab0b731b0f58a7b4ffd238cc7ac3f170">00270</a>         <a class="code" href="classOgre_1_1CompositionTechniqueTranslator.html">CompositionTechniqueTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#aab0b731b0f58a7b4ffd238cc7ac3f170">mCompositionTechniqueTranslator</a>;
<a name="l00271"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#acbeca5827f63c54f7e84f8750a3005e2">00271</a>         <a class="code" href="classOgre_1_1CompositionTargetPassTranslator.html">CompositionTargetPassTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#acbeca5827f63c54f7e84f8750a3005e2">mCompositionTargetPassTranslator</a>;
<a name="l00272"></a><a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a9722cd0faf9d032edf98634b5bca06ca">00272</a>         <a class="code" href="classOgre_1_1CompositionPassTranslator.html">CompositionPassTranslator</a> <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a9722cd0faf9d032edf98634b5bca06ca">mCompositionPassTranslator</a>;
<a name="l00273"></a>00273     <span class="keyword">public</span>:
<a name="l00274"></a>00274         <a class="code" href="classOgre_1_1BuiltinScriptTranslatorManager.html" title="This class manages the builtin translators.">BuiltinScriptTranslatorManager</a>();
<a name="l00276"></a>00276         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getNumTranslators() <span class="keyword">const</span>;
<a name="l00278"></a>00278         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a> *getTranslator(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">AbstractNodePtr</a> &amp;node);
<a name="l00279"></a>00279     };
<a name="l00282"></a>00282 }
<a name="l00283"></a>00283 
<a name="l00284"></a>00284 
<a name="l00285"></a>00285 <span class="preprocessor">#endif</span>
<a name="l00286"></a>00286 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
